Search Devices and Interfaces

GET /api/v1/search

Global search across devices and interfaces.

Query Parameters:

Response: 200 OK

{
  "devices": [
    {
      "id": "uuid",
      "router_id": "10.0.0.1",
      "hostname": "rtr-core-01",
      "dns_name": "rtr-core-01.example.com",
      "vendor": "Cisco",
      "device_type": "router",
      "model": "ASR-9001",
      "platform": "IOS-XR",
      "software_version": "7.3.2",
      "match_field": "hostname"
    }
  ],
  "interfaces": [
    {
      "id": "uuid",
      "device_id": "uuid",
      "area_id": "uuid",
      "ip_address": "10.0.0.1",
      "if_name": "GigabitEthernet0/0/0",
      "if_descr": "GigabitEthernet0/0/0",
      "if_alias": "AT&T-MPLS-CID-12345",
      "speed_mbps": 1000,
      "device_router_id": "10.0.0.1",
      "device_hostname": "rtr-core-01",
      "match_field": "if_alias"
    }
  ]
}

Searches device fields (hostname, dns_name, router_id, vendor, model, platform, software_version) and interface fields (if_alias, if_name, if_descr, ip_address). If query is a valid IP or CIDR, also performs subnet containment search. Results prioritize prefix matches. Available to all authenticated users.